{% if post.meta('flexible_hero') %}

<div class="hero">

	<style>
		.hero {
	      background-image: url({{ post.thumbnail.src|resize(null, 800, false) }});
	    }
	    @media (min-width: 600px) {
			.hero {
		       background-image: url({{ post.thumbnail.src|resize(1200) }});
		    }
	    }
	    @media (min-width: 1200px) {
			.hero {
		      background-image: url({{ post.thumbnail.src|resize(2000) }});
		    }
	    }
	</style>

	<div class="hero__container container">

		<div class="hero__content">

		{% for media_item in post.meta('flexible_hero') %}

		    {% if media_item.acf_fc_layout == 'text' %}
		        
		    	<p class="primary {{ media_item.hero_text_class }}">{{ media_item.hero_text }}</p>

		    {% elseif media_item.acf_fc_layout == 'button' %}

		        <a class="btn {{ media_item.button_class }}" href="{{ media_item.button_link }}">
					{{ media_item.button_text }}
				</a>

		    {% endif %}

		{% else %}

			<p class="primary">{{ title }}</p>


		{% endfor %}


		</div>

	</div>
	
</div>

{% endif %}